unit Queues;

interface

uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs, Grids;

type
  TQueueForm = class(TForm)
    QueueGrid: TStringGrid;
    procedure GoCreateQueueForm(Sender: TObject);
  private
    { Private declarations }
    IncRows: Boolean;
  public
    { Public declarations }
    Procedure ClearQueues;
    Procedure AddQueue(Nm: String; Length: Integer;
     MeanLength: Double; MaxLength: Integer; TotalPassed,DirectPassed: Integer;
     MeanWT,MaxWT: Double);
  end;

var
  QueueForm: TQueueForm;

implementation

{$R *.DFM}

procedure TQueueForm.GoCreateQueueForm(Sender: TObject);
Var
  I: Integer;
begin
With QueueGrid Do
  Begin
  I:=Font.Size;
  RowCount:=2;
  IncRows:=FALSE;
  FixedRows:=1;
  ColWidths[0]:= I * 20;
  ColWidths[1]:= I * 10;
  ColWidths[2]:= I * 10;
  ColWidths[3]:= I * 10;
  ColWidths[4]:= I * 10;
  ColWidths[5]:= I * 10;
  ColWidths[6]:= I * 10;
  ColWidths[7]:= I * 10;
  Cells[0,0]:='Name';
  Cells[1,0]:='Length';
  Cells[2,0]:='Avg.Lgth';
  Cells[3,0]:='Max.Lgth';
  Cells[4,0]:='Tot.Passed';
  Cells[5,0]:='Direct';
  Cells[6,0]:='Avg. WT';
  Cells[7,0]:='Max. WT';
  End;
end;

Procedure TQueueForm.ClearQueues;
  Begin
  With QueueGrid Do
    Begin
    RowCount:=2;
    IncRows:=FALSE;
    FixedRows:=1;
    Cells[0,0]:='Name';
    Cells[1,0]:='Length';
    Cells[2,0]:='Avg.Lgth';
    Cells[3,0]:='Max.Lgth';
    Cells[4,0]:='Tot.Passed';
    Cells[5,0]:='Direct';
    Cells[6,0]:='Avg. WT';
    Cells[7,0]:='Max. WT';
    End;
  End;

Procedure TQueueForm.AddQueue(Nm: String; Length: Integer;
 MeanLength: Double; MaxLength: Integer; TotalPassed,DirectPassed: Integer;
 MeanWT,MaxWT: Double);
  Var
    Ix: Integer;
  begin
  With QueueGrid Do
    Begin
    If IncRows Then
      Begin
      RowCount:=RowCount + 1;
      End
    Else
      Begin
      IncRows:=TRUE;
      End;
    Ix:=RowCount - 1;
    Cells[0,Ix]:=Nm;
    Cells[1,Ix]:=IntToStr(Length);
    Cells[2,Ix]:=FormatFloat('0.0',MeanLength);
    Cells[3,Ix]:=IntToStr(MaxLength);
    Cells[4,Ix]:=IntToStr(TotalPassed);
    Cells[5,Ix]:=IntToStr(DirectPassed);
    Cells[6,Ix]:=FormatFloat('0.00',MeanWT);
    Cells[7,Ix]:=FormatFloat('0.00',MaxWT);
    End;
  End;

end.
